Page MenuHome

Missing undo push when switching active shape keys
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: AMD Radeon (TM) R9 380 Series ATI Technologies Inc. 4.5.13570 Core Profile Context 19.8.1 26.20.13001.29010

Blender Version
Broken: version: 2.82 (sub 6), branch: master, commit date: 2020-01-28 23:34, hash: rBf9e1e088a4c7
Worked: (optional)

Short description of error
In edit mode, while selecting a shape key, followed by any other operation (Translating vertices or extruding or whatever), followed by an Undo (Ctrl-Z) command causes the shape key selector to hop to the "basis" shape key.

Exact steps for others to reproduce the error
From Default Startup:

  • Create two shape keys on Default Cube
  • Select shape key Key 1
  • Perform any edit mode operation (extrude)
  • Undo

Basis shape key is now selected.

Event Timeline

Inset tool itself has no bearing on this issue. All the reproduction is (in edit mode):

  • select a different shape key
  • perform any edit mode operation
  • undo

Both the operation and shape key selection will be undone.

Richard Antalik (ISS) changed the task status from Needs Triage to Confirmed.Jan 29 2020, 7:39 PM
Richard Antalik (ISS) updated the task description. (Show Details)
William Reynish (billreynish) renamed this task from Inset faces command has bugged interaction with Undo command. to Missing undo push when switching active shape keys.Jan 29 2020, 7:47 PM
William Reynish (billreynish) updated the task description. (Show Details)

Hm, I found the bug only seemed to occur with the inset tool. Further, when I "undo" the inset itself, the shape key selection goes back on key 1.
Glad to know a bug was found and fixed though.

Evan Wilson (EAW) reopened this task as Confirmed.EditedFeb 1 2020, 9:05 AM

After talking with @David C. (Broand) in #blender-coders, I tested it using the original steps. I can confirm that pressing control-z still causes both the operation after using inset and the shape key selection to be undone. Pressing control-z again will undo the Inset and the shape key selection will jump back to Key 1 I am using a fresh 2.83 build.

@David C. (Broand) did offer to open a new report. I chose to reopened this report as rB1d28ff7f2bd1 did not fix the reported issue. Let me know if I should have followed a different procedure. This type of situation isn't covered in the triaging playbook :)


System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 470/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 388.13

Blender Version
Broken: version: 2.83 (sub 2), branch: master, commit date: 2020-02-01 02:58, hash: rBbf8a26b7453d

I can confirm this one to a degree. It seems to depend on what's in the undo history and how far back you go. In certain situations it'll change the shape key, and then change it back, as you undo.

Campbell Barton (campbellbarton) closed this task as Resolved.EditedFeb 4 2020, 4:48 AM

The basic case of changing shape keys not doing undo pushes has been solved (double checked the steps from the report),
if you manage to cause another error please open a new report with exact steps.